# OcrResultBlock class

An OCR result block represents a recognized paragraph, a line or a word. It contains the recognized plain text, the bounding box and a confidence value.

Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: true)

## Constructors

OcrResultBlock.new(String? text, Rect? boundingBox, double? confidence)
OcrResultBlock.fromJson(Map<String, dynamic> json)
  factory

## Properties

boundingBox ↔ Rect?
  The bounding box as a normalized unit coordinate.
  getter/setter pair
confidence ↔ double?
  The confidence value describes how confident the OCR engine was when detecting the letters and words. Ranges from 0.0 (not confident) to 100.0 (very confident).
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
text ↔ String?
  Recognized plain text of this block.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited